function filterInput(data) {
    if (data.head_id !== undefined) {
        data.head_id = data.head_id === '' ? null : Number(data.head_id);
    }

    if (data.contacts) {
        data.contacts = data.contacts.filter(
            item => item.value ? item.value.trim() : item.value
        );
    }

    return data;
}

export default filterInput;
